<?php
	function fcautoload($class) {
		foreach (glob('./app/{model,vue,util}/' . $class . '.php', GLOB_BRACE) as $file)
			include $file;
	}
	spl_autoload_register('fcautoload');
	
	@list($lang, $page, $subpage, $subsubpage) = explode('/', substr(@$_SERVER['PATH_INFO'], 1));
	define('LANG', $lang ?: 'En');
	define('PAGE', $page ?: 'Home');
	define('SUBPAGE', $subpage);
	define('SUBSUBPAGE', $subsubpage);
	
	header('Content-Type: text/html; charset=UTF-8');
	
	if (isset($_POST['_logout'])) {
		AUTH::LogOut();
		HTTP::Reload();
	}
	
	$class = 'Vue' . PAGE;
	if (!class_exists($class))
		$class = 'Vue404';
	(new $class())->handle();
?>
